# Planets

## Get Planet

> Get planet-wide settings and values

```json
{"openapi":"3.0.2","info":{"title":"Link11 WAAP","version":"v4.3"},"paths":{"/api/v4.3/conf/{config}/planets":{"get":{"operationId":"get_one_api_v3_reblaze_configs__config__d_planet__get_1120641698848173491","summary":"Get Planet","description":"Get planet-wide settings and values","parameters":[{"in":"path","name":"config","required":true,"schema":{"title":"Config"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Planet"}}},"description":"Planet info successfully retrieved"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InputError"}}},"description":"Input Error"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}},"description":"Validation Error"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Internal Server Error"}},"tags":["Planets"]}}},"components":{"schemas":{"Planet":{"properties":{"ichallenge":{"$ref":"#/components/schemas/IChallenge"},"name":{"title":"Name","type":"string"},"trusted_nets":{"items":{"$ref":"#/components/schemas/TrustedNet"},"title":"Trusted Nets","type":"array"}},"required":["name","trusted_nets","ichallenge"],"title":"Planet","type":"object"},"IChallenge":{"properties":{"attrs":{"title":"Attrs","type":"object"},"lang":{"title":"Lang","type":"object"},"palette":{"items":{"type":"string"},"title":"Palette","type":"array"},"position":{"title":"Position","type":"object"}},"required":["attrs","palette","position","lang"],"title":"IChallenge","type":"object"},"TrustedNet":{"properties":{"address":{"title":"Address","type":"string"},"comment":{"title":"Comment","type":"string"}},"required":["address","comment"],"title":"TrustedNet","type":"object"},"InputError":{"properties":{"code":{"title":"Code","type":"integer"},"message":{"title":"Message","type":"string"}},"required":["code","message"],"title":"InputError","type":"object"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"Error":{"properties":{"code":{"title":"Code","type":"integer"},"message":{"title":"Message","type":"string"}},"required":["code","message"],"title":"Error","type":"object"}}}}
```

## Modify Planet

> Modify settings of a planet

```json
{"openapi":"3.0.2","info":{"title":"Link11 WAAP","version":"v4.3"},"paths":{"/api/v4.3/conf/{config}/planets/{entry_id}":{"put":{"operationId":"update_api_v3_reblaze_configs__config__d_planet__put_1918893960546327346","summary":"Modify Planet","description":"Modify settings of a planet","parameters":[{"in":"path","name":"config","required":true,"schema":{"title":"Config","type":"string"}},{"in":"path","name":"entry_id","description":"Planet ID","required":true,"schema":{"title":"Entry","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Planet"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseUpdate"}}},"description":"Planet updated successfully"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InputError"}}},"description":"Input Error"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}},"description":"Validation Error"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Internal Server Error"}},"tags":["Planets"]}}},"components":{"schemas":{"Planet":{"properties":{"ichallenge":{"$ref":"#/components/schemas/IChallenge"},"name":{"title":"Name","type":"string"},"trusted_nets":{"items":{"$ref":"#/components/schemas/TrustedNet"},"title":"Trusted Nets","type":"array"}},"required":["name","trusted_nets","ichallenge"],"title":"Planet","type":"object"},"IChallenge":{"properties":{"attrs":{"title":"Attrs","type":"object"},"lang":{"title":"Lang","type":"object"},"palette":{"items":{"type":"string"},"title":"Palette","type":"array"},"position":{"title":"Position","type":"object"}},"required":["attrs","palette","position","lang"],"title":"IChallenge","type":"object"},"TrustedNet":{"properties":{"address":{"title":"Address","type":"string"},"comment":{"title":"Comment","type":"string"}},"required":["address","comment"],"title":"TrustedNet","type":"object"},"ResponseUpdate":{"title":"ResponseUpdate","type":"object","properties":{"message":{"title":"Message","description":"Information about successful update operation","type":"string"}},"required":["message"]},"InputError":{"properties":{"code":{"title":"Code","type":"integer"},"message":{"title":"Message","type":"string"}},"required":["code","message"],"title":"InputError","type":"object"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"Error":{"properties":{"code":{"title":"Code","type":"integer"},"message":{"title":"Message","type":"string"}},"required":["code","message"],"title":"Error","type":"object"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://waap.docs.link11.com/reference-information/api/namespace-reference/planets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
